juzu.asset

## Enum AssetLocation

- java.lang.Object
- - java.lang.Enum<AssetLocation>
  - - juzu.asset.AssetLocation

- All Implemented Interfaces:
    Serializable, Comparable<AssetLocation>

      public enum AssetLocation
      extends Enum<AssetLocation>

  Author:
    Julien Viet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION` An application served asset.
    `SERVER` A server served asset, server assets URI is managed by Juzu and is computed relative to the server deployment.
    `URL` An external asset, not managed by Juzu.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AssetLocation` | `safeValueOf(String name)`
    `static AssetLocation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AssetLocation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### URL

          public static final AssetLocation URL

      An external asset, not managed by Juzu.

    - #### SERVER

          public static final AssetLocation SERVER

      A server served asset, server assets URI is managed by Juzu and is computed relative to the server deployment. For instance, for a web application, the asset is located in the web application archive.

    - #### APPLICATION

          public static final AssetLocation APPLICATION

      An application served asset.

  - ### Method Detail

    - #### values

          public static AssetLocation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AssetLocation c : AssetLocation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AssetLocation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### safeValueOf

          public static AssetLocation safeValueOf(String name)

Copyright © 2013 eXo Platform SAS. All Rights Reserved.